> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Event Tags

> Get event tags



## OpenAPI

````yaml /openapi.json get /event-tags
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /event-tags:
    get:
      tags:
        - Event Tag
      summary: Get Event Tags
      description: Get event tags
      operationId: getEventTags
      parameters:
        - name: page
          required: false
          in: query
          description: Page number (1-based)
          schema:
            default: 1
            type: number
        - name: limit
          required: false
          in: query
          description: Number of items per page
          schema:
            default: 10
            type: number
      responses:
        '200':
          description: The event tags have been successfully retrieved
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/EventTag'
components:
  schemas:
    EventTag:
      type: object
      properties:
        id:
          type: string
          description: The id of the event tag
        code:
          type: string
          description: The code of the event tag, a unique identifier
        name:
          type: string
          description: The name of the event tag
        description:
          type: string
          description: The description of the event tag
        createdAt:
          format: date-time
          type: string
          description: The date and time the event tag was created
        updatedAt:
          format: date-time
          type: string
          description: The date and time the event tag was updated
        deleted:
          type: boolean
          description: Whether the event tag is deleted
        deletedAt:
          format: date-time
          type: string
          description: The date and time the event tag was deleted
      required:
        - id
        - code
        - name
        - description
        - createdAt
        - updatedAt
        - deleted
        - deletedAt

````